# Uses of Class
com.logicaldoc.core.document.Bookmark

Packages that use Bookmark
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects

## Uses of Bookmark in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that return Bookmark
Modifier and Type
Method
Description
`Bookmark`
BookmarkDAO.`findByUserIdAndDocId(long userId, long docId)`
Finds all bookmarks for the given user id and the given document's identifier
`Bookmark`
HibernateBookmarkDAO.`findByUserIdAndDocId(long userId, long docId)`
`Bookmark`
BookmarkDAO.`findByUserIdAndFolderId(long userId, long folderId)`
Finds the bookmark for the given user id and the given folder id
`Bookmark`
HibernateBookmarkDAO.`findByUserIdAndFolderId(long userId, long folderId)`
Methods in com.logicaldoc.core.document that return types with arguments of type Bookmark
Modifier and Type
Method
Description
`List<Bookmark>`
BookmarkDAO.`findByUserId(long userId)`
Finds all bookmarks for the given user id
`List<Bookmark>`
HibernateBookmarkDAO.`findByUserId(long userId)`